Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.uka.cmtm.serviceregistry.query
Class ServiceProfileParameter

    java.lang.Object
      de.uka.cmtm.serviceregistry.query.ServiceProfileParameter

All Implemented Interfaces:
  Cloneable

Direct Known Subclasses:
  ServiceProfileInfo

    public class ServiceProfileParameter

extends Object
implements Cloneable

This class describes the search parameters for service profiles used by ServiceProfileLocator.

Author:
  tilmann

Constructor Summary
`ServiceProfileParameter()`

Method Summary
`ServiceProfileParameter` | `clone()`
`String` | `getCategory()`
`List<String>` | `getEffects()`
`String` | `getEffectsCsv()`
`List<String>` | `getLogicalInputs()`
`String` | `getLogicalInputsCsv()`
`List<String>` | `getLogicalOutputs()`
`String` | `getLogicalOutputsCsv()`
`List<String>` | `getPreconditions()`
`String` | `getPreconditionsCsv()`
`List<String>` | `getUserRoles()`
`String` | `getUserRolesCsv()`
`void` | `setCategory(String category)`
`void` | `setEffects(List<String> effects)`
`void` | `setEffectsCsv(String effects)`
`void` | `setLogicalInputs(List<String> logicalInputs)`
`void` | `setLogicalInputsCsv(String logicalInputs)`
`void` | `setLogicalOutputs(List<String> logicalOutputs)`
`void` | `setLogicalOutputsCsv(String logicalOutputs)`
`void` | `setPreconditions(List<String> preconditions)`
`void` | `setPreconditionsCsv(String preconditions)`
`void` | `setUserRoles(List<String> userRoles)`
`void` | `setUserRolesCsv(String userRoles)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceProfileParameter

    public ServiceProfileParameter()

Method Detail

### getUserRoles

    public List<String> getUserRoles()

  Returns:
    Returns the userRoles.

### getUserRolesCsv

    public String getUserRolesCsv()

  Returns:
    Returns the userRoles as comma seperated list.

### setUserRoles

    public void setUserRoles(List<String> userRoles)

  Parameters:
    `userRoles` - The userRoles to set.

### setUserRolesCsv

    public void setUserRolesCsv(String userRoles)

  Parameters:
    `userRoles` - The userRoles to set as comma seperated list.

### getEffects

    public List<String> getEffects()

  Returns:
    Returns the effects.

### getEffectsCsv

    public String getEffectsCsv()

  Returns:
    Returns the effects as comma seperated list.

### setEffects

    public void setEffects(List<String> effects)

  Parameters:
    `effects` - The effects to set.

### setEffectsCsv

    public void setEffectsCsv(String effects)

  Parameters:
    `effects` - The effects to set as comma seperated list.

### getLogicalInputs

    public List<String> getLogicalInputs()

  Returns:
    Returns the logicalInputs.

### getLogicalInputsCsv

    public String getLogicalInputsCsv()

  Returns:
    Returns the logicalInputs as comma seperated list.

### setLogicalInputs

    public void setLogicalInputs(List<String> logicalInputs)

  Parameters:
    `logicalInputs` - The logicalInputs to set.

### setLogicalInputsCsv

    public void setLogicalInputsCsv(String logicalInputs)

  Parameters:
    `logicalInputs` - The logicalInputs to set as comma seperated list.

### getLogicalOutputs

    public List<String> getLogicalOutputs()

  Returns:
    Returns the logicalOutputs.

### getLogicalOutputsCsv

    public String getLogicalOutputsCsv()

  Returns:
    Returns the logicalOutputs as comma seperated list.

### setLogicalOutputs

    public void setLogicalOutputs(List<String> logicalOutputs)

  Parameters:
    `logicalOutputs` - The logicalOutputs to set.

### setLogicalOutputsCsv

    public void setLogicalOutputsCsv(String logicalOutputs)

  Parameters:
    `logicalOutputs` - The logicalOutputs to set as comma seperated list.

### getPreconditions

    public List<String> getPreconditions()

  Returns:
    Returns the preconditions.

### getPreconditionsCsv

    public String getPreconditionsCsv()

  Returns:
    Returns the preconditions as comma seperated list.

### setPreconditions

    public void setPreconditions(List<String> preconditions)

  Parameters:
    `preconditions` - The preconditions to set.

### setPreconditionsCsv

    public void setPreconditionsCsv(String preconditions)

  Parameters:
    `preconditions` - The preconditions to set as comma seperated list.

### getCategory

    public String getCategory()

  Returns:
    Returns the category.

### setCategory

    public void setCategory(String category)

  Parameters:
    `category` - The category to set.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### clone

    public ServiceProfileParameter clone()

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD